///////////////////////////////////////////
// Dart Parameter Space Study
// Copyright 1997-2002
// David A. Joiner and
//   The Shodor Education Foundation, Inc.
///////////////////////////////////////////


#include <stdlib.h>
#include <math.h>


double compute_value(double aimRad, double aimTheta, double sigma);

class Throw {
public:
    int score;
    int multiplier;
    
    const static int numSectors=20;
    double * sectorBoundaries;
    int * sectorScores;
    const static int numRings=6;
    double * ringBoundaries;
    
    
    Throw();
    ~Throw();
    void initialize();
    void makeThrowXY(double aimX, double aimY, double sigma);
    void makeThrowRT(double aimRad, double aimTheta, double sigma);
    void scoreThrow(double throwRad, double throwTheta);
    double Throw::getTheta(double x, double y);
    double Throw::rand_gauss(double mean, double sigma);
    double Throw::rand_double(double min, double max);
    
};



